<script lang="ts">
  import CompetitionListCard from '$lib/competitions/CompetitionListCard.svelte';
  import { EngagementData } from '$lib/data/engagementData';

  const promoted = [
    'National Cyber League',
    'Collegiate Cyber Defense Competition',
    'NCAE Cyber Games',
    'NSA Codebreaker',
    'DoE CyberForce',
    'Global Collegiate Penetration Testing Competition (CPTC)',
    'Hivestorm',
    'PicoCTF',
    'VIVID Competition',
    'Cyberpatriot'
  ];
</script>

<div class="container px-2 mx-auto">
  <div class="justify-center grid gap-5 mt-5 lg:grid-cols-2 2xl:grid-cols-3">
    {#each promoted as name}
      <CompetitionListCard title={name} data={EngagementData.data.competitions[name]}>
        <small class="text-white">
          {EngagementData.data.participation[name]} CAE Institutions engage with this competition
        </small>
        <br />
        {EngagementData.data.competitions[name].properties.description ||
          'No description available. Feel free to request or suggest one!'}
      </CompetitionListCard>
    {/each}
  </div>
</div>
